Name: sqliteman
Version: 1.2.2
Release: alt0.M50P.1

Url: http://sqliteman.com/
License: GPL
Group: Databases

Summary: Lightweigth but powerfull Sqlite3 manager

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%name/%name-%version.tar

# manually removed: libqt3-devel
# Automatically added by buildreq on Wed Dec 10 2008
BuildRequires: ccmake gcc-c++ libqscintilla2-qt4-devel libqt4-devel xorg-sdk

Requires: libqt4-sql-sqlite sqlite3

%description
The best developer's and/or admin's GUI tool for Sqlite3
in the world. No joking here (or just a bit only) - it
contains the most complette feature set of all tools available.

%prep
%setup

%build
mkdir BUILD
cd BUILD
cmake .. \
    -DCMAKE_SKIP_RPATH:BOOL=yes \
    -DCMAKE_BUILD_TYPE=MinSizeRel \
    -DCMAKE_C_FLAGS:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS:STRING='%optflags' \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DLIB_DESTINATION=%_lib \
    %if "%_lib" == "lib64" 
    -DLIB_SUFFIX="64"
    %else 
    -DLIB_SUFFIX=""
    %endif 
%make_build

%install
cd BUILD
%makeinstall_std

%files
%_bindir/sqliteman
%_desktopdir/sqliteman.desktop
%_datadir/sqliteman/

%changelog
* Fri Jan 14 2011 Andrey Cherepanov <cas@altlinux.org> 1.2.2-alt0.M50P.1
- Fix crash on p5 branch (closes: #24815)

* Sun Jul 25 2010 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version 1.2.2 (with rpmrb script)

* Wed Mar 10 2010 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt3
- rebuild with new cmake macro, moved to git

* Sat Nov 07 2009 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt2
- rebuild (fix bug #21434)

* Tue Jul 21 2009 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version 1.2.1 (with rpmrb script)

* Sun Jan 25 2009 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt2
- cleanup spec

* Wed Dec 10 2008 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- new version 1.2.0 (with rpmrb script)

* Sun Oct 28 2007 Vitaly Lipatov <lav@altlinux.ru> 1.0.1-alt1
- new version 1.0.1 (with rpmrb script)

* Fri May 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.99-alt1
- initial build for ALT Linux Sisyphus

* Wed Feb 20 2007 - Petr Vanek <petr@scribus.info>
- initial package
